浏览文档并开始使用 Skinify
You can request a user’s inventory on Steam with current prices.
Do this if you don’t want the user to leave your site when creating a deposit.
POST https://skinify.io/api/steam-inventory
| Parameter | Required | Description |
|---|---|---|
| game | Available values: dota2, csgo, rust, tf2 | |
| steam_id | User’s Steam ID 64. | |
| trade_token | ‘token’ param from user Trade URL (8 characters) | |
| currency | Currency of item prices, default is ‘usd’. | |
| show_disabled | By default, only the skins we accept will be included in the response. However, if you pass the parameter show_disabled=1, the list will also include skins that are not accepted. |
{
"inventory": [
{
"id": "30469208292",
"name": "StatTrak™ Negev | Prototype (Minimal Wear)",
"type": "heavy",
"quality": "milspec",
"img": "-9a81dlWLwJ2UUGcVs_ns...",
"tradable": 1,
"short_type": "MW",
"disabled": 0,
"price": "0.82",
"gid": "730"
}
],
"success": true,
"currency": "usd"
}
| Parameter | Description |
|---|---|
| inventory | Array of Steam items in user inventory |
| currency | Currency of items price |
| Error | Description |
|---|---|
| request_timeout new |
The request could not be completed within the allowed time limit. |
| invalid_game | Invalid game value. |
| invalid_currency | Invalid currency value. |
| steam_id_missing | Missing steam_id value. Example for Steam ID 64: 76561198117742847. |
| trade_token_missing | Missing trade_token value. |
| private_inventory | User inventory is private. |
| unavaliable_inventory | User inventory is unavaliable. |
| invalid_tradeurl | Value of trade_token is invalid. |
| empty_inventory | Empty user inventory. |
| trade_unavailable | Steam trades are not available for the user, more information will be provided on Steam. |